Get Recommendation By Id
Get the recommendation specified by the given identifier
Get the recommendation specified by the given identifier
Request
URI
GET
https://{api_host}/suite-api/api/recommendations/{id}
COPY
Path Parameters
string
id
Required
The identifier of the recommendation
Responses
200
The recommendation corresponding to the specified ID
Returns
recommendation
of type(s)
application/json
"{\n \"id\" : \"b3c41537-ec68-45fa-8ae2-ab9b5e435e96\",\n \"description\" : \"Reboot the Host after migrating the Virtual Machines\"\n}"
object
action
Optional
Identifies an action the system may take to solve a problem.
string
description
Required
The description for the recommendation
string
id
Optional
The recommendation id. Must be null during creation (System generated identifier)
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/recommendations/{id}